// BKMessageBox.h: interface for the CBKMessageBox class.
//

#pragma once
//#include "stdafx.h"

class CBKMessageBox
{
		const static CString m_strCaption;
		HWND m_hwnd;
	public:
		CBKMessageBox::CBKMessageBox()
		{
			m_hwnd = AfxGetMainWnd()->GetSafeHwnd();
		};
		virtual ~CBKMessageBox()
		{
		};
		int Show(CString strText, UINT nType = MB_OK, UINT nIDHelp = 0);
		int Show(LPCTSTR lpszText, UINT nType = MB_OK, UINT nIDHelp = 0);
		int Show(UINT strID, UINT nType = MB_OK, UINT nIDHelp = 0);
};

extern CBKMessageBox g_BKMsgBox;
